Subject: IESG review DISCUSS on draft-ietf-radext-management-authorization-06.txt

From: "Dave Nelson" <[email-masked]>
Date: Wed, 15 Apr 2009 14:17:20 -0400

[IESG Evaluation DISCUSS] from Jari Arkko
 
> This spec is overall in very good shape. However, I had the following
> problems:
> 
> Section 5.3 says on Management-Policy-Id attribute:
>
>   The Text field is one or more octets, and its contents are
>   implementation dependent.  It is intended to be human readable and
>   MUST NOT affect operation of the protocol.  It is RECOMMENDED that
>   the message contain UTF-8 encoded 10646 [RFC3629] characters.
>
> The statement about not affecting the operation of the protocol is
> at least misleading and confusing and likely also factually wrong.
> Like the document states earlier:
>
>   If the NAS supports this attribute, but the
>   policy name is unknown ... the NAS MUST treat
>   the Access-Accept packet as if it had been an Access-Reject.
>
> So the contents of the field can actually have an effect even
> at the RADIUS level. I would suggest saying something else, e.g.,
>
>   It is intended to be human readable and the contents MUST NOT be
>   parsed by the receiver; the contents can only be used to look up
>   locally defined policies.

We will revise the draft to use the above suggested text.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/radiusext/>

---

From: Jari Arkko <[email-masked]>
Date: Wed, 15 Apr 2009 21:19:27 +0300

Good -- thanks.

Jari